Subject: Re: linux-next: manual merge of the pm tree with the i2c tree

From: "Rafael J. Wysocki" <[email-masked]>
Date: Fri, 15 Jul 2016 14:59:49 +0200

On Friday, July 15, 2016 09:32:54 PM Wolfram Sang wrote:
> On Fri, Jul 15, 2016 at 02:19:28PM +0200, Rafael J. Wysocki wrote:
> > On Friday, July 15, 2016 12:28:53 PM Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > On Fri, 15 Jul 2016 12:17:23 +1000 Stephen Rothwell <[email-masked]> wrote:
> > > >
> > > > I fixed it up (I think, but it needs more work - see below) and can
> > > 
> > > For a start, it generates this warning, now:
> > > 
> > > drivers/i2c/i2c-core.c:269:20: warning: 'i2c_acpi_add_device' defined but not used [-Wunused-function]
> > > static acpi_status i2c_acpi_add_device(acpi_handle handle, u32 level,
> > >                    ^
> > 
> > OK, thanks for the heads-up.
> 
> Yes, thanks!
> 
> > 
> > Wolfram, what about if I exposed my "acpi-tables" branch for you to pull?
> > 
> > You could resolve this in your tree then.
> 
> I can pull it in, sure. For the fixup, I'd like a commitment from one of
> the ACPI experts (Jarkko, Mika, Andy), though. Otherwise I'd need to
> revert given that we are quite late in the cycle already.

The branch is here:

 git://git.kernel.org/pub/scm/linux/kernel/git/rafael/linux-pm.git acpi-tables

The top-most commit is:

fafe5306f201 ACPI: Rename configfs.c to acpi_configfs.c to prevent link error

I won't rebase this branch going forward, so it is safe to pull.

Please let me know how I can help with the conflict resolution.

Thanks,
Rafael